pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Adobe Reader

    Date:        Mon, 1 Feb 2010 18:09:09 +0000
    From:        Quentin Garnier <>
    Message-ID:  <>

  | That's not entirely true, because in order to give users that choice,
  | pkgsrc developers have to maintain the package.  It might not be a
  | tremendous amount of work to maintain it, but it is still *some*.

You obviously didn't read all I wrote - I totally agree with that point,
and if the issue is that maintaining it is too much effort (or that just
no-one wants to) and that because of lack of maintenance it no longer
works, then by all means delete it (or anything else that suffers the
same fate - for any reason, including just lack of interest.)   But if
there's someone willing to continue maintaining it, let them.

Once again, I don't care if acroread goes away, what I'm objecting to is
the practice of one user (or developer) deciding what "must be" true for
some other user, particularly in the area of security.

That is, an analysis along the lines of ...

        I have looked at this and decided that it is too dangerous
        for me to use, therefore it is also too dangerous for you
        to use.   [Even though I know absolutely nothing about who
        you are, or your needs or environment.]

Or alternatively ...
        I'm too stupid, or obstinate, to imagine any possible need you
        make have for this, so I'm going to remove it.

Or ...
        You're too stupid to possibly do your own analysis, just warning
        you of the danger is not nearly good enough.

That's what (and all) I am objecting to.


Home | Main Index | Thread Index | Old Index